package com.lz.modules.flow.dao;
/**
* <p>
* 绩效管理菜单表 服务类
* </p>
*
* @author quyixiao
* @since 2020-11-02
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.flow.entity.StaffMenu;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface StaffMenuMapper extends BaseMapper<StaffMenu> {


	StaffMenu selectStaffMenuById(@Param("id") Long id);


	Long insertStaffMenu(StaffMenu staffMenu);


	int updateStaffMenuById(StaffMenu staffMenu);


	int updateCoverStaffMenuById(StaffMenu staffMenu);


	int deleteStaffMenuById(@Param("id") Long id);


    List<StaffMenu> selctAll();

	List<StaffMenu> selectByParentId(@Param("parentId") Long parentId);
}